curl -X POST https://api.60db.ai/billing/subscribe \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{
"plan_id": "pro",
"billing_cycle": "monthly"
}'
await client.subscribe("pro");
client.subscribe('pro')
{
"subscription": {
"id": "sub-123",
"plan": {
"id": "pro",
"name": "Pro",
"price": 29
},
"status": "active",
"billing_cycle": "monthly",
"next_billing_date": "2026-02-29T00:00:00Z"
}
}
Billing
Subscribe
Subscribe to a plan
POST
/
billing
/
subscribe
curl -X POST https://api.60db.ai/billing/subscribe \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{
"plan_id": "pro",
"billing_cycle": "monthly"
}'
await client.subscribe("pro");
client.subscribe('pro')
{
"subscription": {
"id": "sub-123",
"plan": {
"id": "pro",
"name": "Pro",
"price": 29
},
"status": "active",
"billing_cycle": "monthly",
"next_billing_date": "2026-02-29T00:00:00Z"
}
}
Request
Headers
string
required
Bearer token with your API key
string
required
application/json
Body
string
required
ID of the plan to subscribe to
string
default:"monthly"
Billing cycle: “monthly” or “annual”
Response
object
Subscription object
string
Subscription ID
object
Plan details
string
Subscription status
curl -X POST https://api.60db.ai/billing/subscribe \
-H "Authorization: Bearer your-api-key" \
-H "Content-Type: application/json" \
-d '{
"plan_id": "pro",
"billing_cycle": "monthly"
}'
await client.subscribe("pro");
client.subscribe('pro')
{
"subscription": {
"id": "sub-123",
"plan": {
"id": "pro",
"name": "Pro",
"price": 29
},
"status": "active",
"billing_cycle": "monthly",
"next_billing_date": "2026-02-29T00:00:00Z"
}
}